Jump to content

Sign in to follow this  
gmac66

Install issues with QOTSII P3D

Recommended Posts

Hello,

  I just purchased this software and when I try to install, it tells me it has detected an outdated version of P3D v4. I think I was running 4.1, so I updated to 4.4 and l still get the error. I did confirm I purchased the correct version of the software.

Incidentally, I tried to log into the support to submit a ticket and it tells me the username or password is incorrect, when I try to "sign up" it tells me the email is already in use. When I sign into the store, that works, but when I click on the support tab, I need to sign in again and that is where it won't let me.

 

Thanks, Gerry

Share this post


Link to post
Share on other sites

Support uses a different account from the store. Also full names are required in every post in the pmdg forums. 


Koen Meier

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...